//! This module helps us deal with physics.

use crate::engine::vector::Vector;

/// The gravity force.
pub const G: Vector = Vector {
    x: 0.0,
    y: 25.0 * 32.0,
};

/// The friction with the ground.
pub const GROUND_FRICTION: Vector = Vector { x: 0.5, y: 1.0 };

/// The speed of a jump.
pub const JUMP_SPEED: Vector = Vector {
    x: 0.0,
    y: -12.5 * 32.0,
};

/// The maximum vertical speed.
pub const MAXIMUM_VERTICAL_SPEED: f64 = 10.0 * 32.0;

/// The maximul walking speed.
pub const MAXIMUM_WALKING_SPEED: f64 = 2.5 * 32.0;

/// The maximum running speed.
pub const MAXIMUM_RUNNING_SPEED: f64 = 5.0 * 32.0;
